%global momorel 1

Summary: Direct Rendering Manager runtime library
Name: libepoxy
Version: 1.5.2
Release: %{momorel}m%{?dist}
License: MIT
URL: http://github.com/anholt/libepoxy
Group: System Environment/Libraries
# github url - generated archive
Source0: https://github.com/anholt/libepoxy/releases/download/%{version}/%{name}-%{version}.tar.xz
NoSource: 0

BuildRequires: pkgconfig automake autoconf libtool
BuildRequires: mesa-libGL-devel mesa-libEGL-devel
BuildRequires: xorg-x11-util-macros
BuildRequires: python3

%description
A library for handling OpenGL function pointer management.

%package devel
Summary: Development files for libepoxy
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
autoreconf -fiv || exit 1
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT

# NOTE: We intentionally don't ship *.la files
find $RPM_BUILD_ROOT -type f -name '*.la' -delete -print

%check
make check

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README.md
%{_libdir}/libepoxy.so.0
%{_libdir}/libepoxy.so.0.0.0

%files devel
%dir %{_includedir}/epoxy/
%{_includedir}/epoxy/*
%{_libdir}/libepoxy.so
%{_libdir}/pkgconfig/epoxy.pc

%changelog
* Mon May 21 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (1.5.2-1m)
- update 1.5.2

* Thu Jul 24 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (1.2.0-1m)
- Initial commit Momonga Linux

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-0.3.20140411git6eb075c
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 11 2014 Dave Airlie <airlied@redhat.com> 1.2-0.2.20140411git6eb075c
- update to latest git snapshot

* Thu Mar 27 2014 Dave Airlie <airlied@redhat.com> 1.2-0.1.20140307gitd4ad80f
- initial git snapshot

